## org.eclipse.wst.wsdl
Interface Message

All Superinterfaces:
  ExtensibleElement, javax.wsdl.Message, java.io.Serializable, WSDLElement

    public interface Message

extends ExtensibleElement, javax.wsdl.Message

A representation of the model object 'Message'.

Since:
  1.0
See Also:
  `WSDLPackage.getMessage()`

Method Summary
`EList` `getEParts()` Returns the value of the 'EParts' containment reference list.
`javax.xml.namespace.QName` `getQName()` Returns the value of the 'QName' attribute
`boolean` `isUndefined()` Returns the value of the 'Undefined' attribute
`void` `setQName(javax.xml.namespace.QName value)` Sets the value of the '`QName`' attribute
`void` `setUndefined(boolean value)` Sets the value of the '`Undefined`' attribute

Methods inherited from interface org.eclipse.wst.wsdl.ExtensibleElement
`addExtensibilityElement, getEExtensibilityElements, getExtensibilityElements`

Methods inherited from interface org.eclipse.wst.wsdl.WSDLElement
`elementChanged, getContainer, getDocumentationElement, getElement, getEnclosingDefinition, setDocumentationElement, setElement, setEnclosingDefinition, updateElement, updateElement`

Methods inherited from interface javax.wsdl.Message
`addPart, getDocumentationElement, getOrderedParts, getPart, getParts, setDocumentationElement`

Method Detail

### getQName

    javax.xml.namespace.QName getQName()

  Returns the value of the 'QName' attribute.

  If the meaning of the 'QName' attribute isn't clear, there really should be more of a description here...

  Specified by:
    `getQName` in interface `javax.wsdl.Message`
  Returns:
    the value of the 'QName' attribute.
  See Also:
    `setQName(QName)`, `WSDLPackage.getMessage_QName()`

### setQName

    void setQName(javax.xml.namespace.QName value)

  Sets the value of the '`QName`' attribute.

  Specified by:
    `setQName` in interface `javax.wsdl.Message`
  Parameters:
    `value` - the new value of the 'QName' attribute.
  See Also:
    `getQName()`

### isUndefined

    boolean isUndefined()

  Returns the value of the 'Undefined' attribute.

  If the meaning of the 'Undefined' attribute isn't clear, there really should be more of a description here...

  Specified by:
    `isUndefined` in interface `javax.wsdl.Message`
  Returns:
    the value of the 'Undefined' attribute.
  See Also:
    `setUndefined(boolean)`, `WSDLPackage.getMessage_Undefined()`

### setUndefined

    void setUndefined(boolean value)

  Sets the value of the '`Undefined`' attribute.

  Specified by:
    `setUndefined` in interface `javax.wsdl.Message`
  Parameters:
    `value` - the new value of the 'Undefined' attribute.
  See Also:
    `isUndefined()`

### getEParts

    EList getEParts()

  Returns the value of the 'EParts' containment reference list. The list contents are of type `Part`.

  If the meaning of the 'EParts' containment reference list isn't clear, there really should be more of a description here...

  Returns:
    the value of the 'EParts' containment reference list.
  See Also:
    `WSDLPackage.getMessage_EParts()`